#include <Wire.h>
#include "SSD1306.h"
#include "SSD1306Ui.h"
#include "font.h"
#include "font3.h"
#include "font4.h"
#include "font5.h"
#include "font6.h"
#include <ESP8266WiFi.h>

SSD1306   display(0x3c, D5, D6);
SSD1306Ui ui     ( &display );
int messagedelay=3500;

void setup() {
  Serial.begin(115200);
  Serial.println();
  Serial.println();

  ui.init();
  display.flipScreenVertically();

  display.setTextAlignment(TEXT_ALIGN_LEFT);
  display.setFont(Courier_10_Pitch_Plain_8);
  //display.setFont(ArialMT_Plain_10);
  //display.setFont(Noto_Serif_16);
  //display.setFont(Droid_Sans_Mono_Plain_6);
  //display.drawString(0, 10, "Hello World");
  //display.drawString(0, 25, "http://www.apolonio.com");
  display.drawStringMaxWidth(0, 0, 128, "Larry Apolonio");
  display.drawStringMaxWidth(0, 16, 128, "Linuxfest 2018");
  display.drawStringMaxWidth(0, 32, 128, "Streaming Message");
  display.drawStringMaxWidth(0, 48, 128, "20180117");
  display.display();
  delay(1000);
  display.setFont(Nimbus_Sans_L_Regular_Condensed_8);
  display.clear();
  display.drawStringMaxWidth(0, 0, 128, "Happy Bee - Surf");
  display.drawStringMaxWidth(0, 18, 128, "Kevin MacLeod (incompetech.com)");
  display.drawStringMaxWidth(0, 27, 128, "Licensed under Creative Commons:");
  display.drawStringMaxWidth(0, 36, 128, "By Attribution 3.0 License");
  display.drawStringMaxWidth(0, 45, 128, "http://creativecommons.org");
  display.drawStringMaxWidth(0, 54, 128, "/licenses/by/3.0/");
  display.display();
  delay(2000);
  display.clear();
  display.display();
  delay(3000);
}

void loop() {
  // put your main code here, to run repeatedly:

  display.setFont(Serif_bold_12);
  display.drawStringMaxWidth(0, 0, 128, "Linuxfest NW 2018");
  display.setFont(Serif_bold_14);
  display.drawStringMaxWidth(0, 16, 128, "Bellingham");
  display.drawStringMaxWidth(0, 32, 128, "Technical");
  display.drawStringMaxWidth(0, 48, 128, "College");
  display.display();
  delay(messagedelay);
  display.clear();

  display.setFont(Serif_bold_12);
  display.drawStringMaxWidth(0, 0, 128, "Linuxfest NW 2018");
  display.setFont(Serif_bold_14);
  display.drawStringMaxWidth(0, 16, 128, "April");
  display.drawStringMaxWidth(0, 32, 128, "28 to 29");
  display.drawStringMaxWidth(0, 48, 128, "2018");
  display.display();
  delay(messagedelay);
  display.clear();

  display.setFont(Serif_bold_12);
  display.drawStringMaxWidth(0, 0, 128, "Linuxfest NW 2018");
  display.setFont(Serif_bold_14);
  display.drawStringMaxWidth(0, 16, 128, "Message");
  display.drawStringMaxWidth(0, 32, 128, "in a");
  display.drawStringMaxWidth(0, 48, 128, "Bottle");
  display.display();
  delay(messagedelay);
  display.clear();
}
